# $Revision: 1.2 $, $Date: 2009/04/08 07:14:50 $
# TODO:
# - build provider (see %%build section)
# - javadoc
# NOTE:
# - it is possible to build it using java-sun, but sun's JRE provides better
#   implementation of JSSE. This package is a JSSE replacemnt for alternative
#   JREs, like java-gcj-compat.

# Conditional build
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif

%include	/usr/lib/rpm/macros.java
#
%define		srcname	jessie
Summary:	A free implementation of the JSSE
Summary(pl.UTF-8):	Wolna implementacja JSSE
Name:		java-jessie
Version:	1.0.1
Release:	2
License:	GPL v2
Group:		Libraries/Java
Source0:	http://syzygy.metastatic.org/jessie/jessie-%{version}.tar.gz
# Source0-md5:	c14db8483ca9fae428b8497659861ef0
URL:		http://www.nongnu.org/jessie/
BuildRequires:	ant
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	java-gnu-classpath
BuildRequires:	java-gnu-crypto >= 2.0.1
BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Provides:	jsse = 1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jessie is a free, clean-room implementation of the Java Secure Sockets
Extension, the JSSE. It provides the core API for programming network
sockets with the Secure Socket Layer (SSL), which creates an
authenticated, unforgeable, and protected layer around network
communications. Its goal is to be a drop-in package for free Java
class libraries such as Classpath and its derivatives, and is being
written to depend only on free software, and only with the API
specification and the public protocol specifications.

%prep
%setup -q -n jessie-%{version}

%build
%ant clean
%ant jsse.jar

# Does not build
%if %{with provider}
%ant compile-provider
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a jsse.jar $RPM_BUILD_ROOT%{_javadir}/jsse-%{version}.jar
ln -s jsse-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jsse.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS FAQ NEWS README THANKS TODO
%{_javadir}/*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-jessie.spec,v $
Revision 1.2  2009/04/08 07:14:50  pawelz
- dropped C: java-sun-jre (it should be handled by O: jsse in java-sun-jre)
- jdk bconds
- rel 2

Revision 1.1  2009/02/17 12:21:20  pawelz
- initial PLD release

Revision 1.12  2009/02/16 08:36:00  pawelz
- more %%doc

Revision 1.11  2009/02/16 08:34:58  pawelz
- use java-gcj-compat-devel
- do not generate javadoc when being built --without javadoc
- do not package LICENSE.txt since it contains well known Apache 2 license
- rel 3

Revision 1.10  2008/12/25 20:02:43  pawelz
- added Provides/Obsoletes old name in subpackage

Revision 1.9  2008/12/25 19:59:22  pawelz
- changed "Name:" to match spec filename
- new urls
- it is no longer part of Jakarta project

Revision 1.8  2008/11/23 23:40:29  glen
- rename to java-commons-el.spec

Revision 1.7  2007-12-13 23:50:22  glen
- unify java package; rel 2

Revision 1.6  2007-11-20 18:03:40  glen
- java deps; adapter

Revision 1.5  2007/04/15 19:51:13  glen
- done (thx qboosh)

Revision 1.4  2007/04/11 23:41:21  glen
- renamed to jakarta-commons-el
- cvs admin plz rename commons-el.spec,v

Revision 1.3  2007/04/11 20:49:20  glen
- bootstrap not needed anymore

Revision 1.2  2007/04/11 06:38:45  qboosh
- pl

Revision 1.1  2007/04/10 23:22:17  glen
- heavily modified, but based on jpackage spec
